MONGOC_CLIENT_ENCRYPTION_ENCRYPT_OPTS_SET_KEYALTNAME(3)

NAME
mongoc_client_encryption_encrypt_opts_set_keyaltname - mongoc_client_encryption_encrypt_opts_set_keyaltname()

SYNOPSIS

        void
        mongoc_client_encryption_encrypt_opts_set_keyaltname (
           mongoc_client_encryption_encrypt_opts_t *opts, const char *keyaltname);

Identifies the data key to use for encryption. This option is mutually exclusive with mongoc_client_encryption_encrypt_opts_set_keyid().

PARAMETERS

    •   opts: A mongoc_client_encryption_encrypt_opts_t

    •   keyaltname: A string identifying a data key by alternate name.

SEE ALSO

    •   mongoc_client_encryption_encrypt_opts_set_keyid

    •   mongoc_client_encryption_datakey_opts_set_keyaltnames

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc